Batch

The Batch endpoints support Verifone-internal bulk operations for processing merchant and POI maintenance at scale. Batches can be listed, inspected, updated, and triggered via these endpoints.

API Reference

List Batches

List batches

get
Query parameters
customerEntityUidstring · uuidOptional

The Verifone allocated unique id for this site.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
orderIdstring · uuidOptional

Verifone allocated ID for the Order.

Example: 32c480b5-4dfb-4c53-959f-49edf45a0931
statusstring · enumOptional

Batch status for this request

Possible values:
pageNumberinteger · min: 1Optional

Page number for records.

Default: 1Example: 1
pageSizeinteger · min: 1 · max: 100Optional

Page size for returned records.

Default: 50Example: 50
startTimestring · date-timeOptional

The record date/time to search from.

Example: 2020-01-06T18:16:14.243Z
endTimestring · date-timeOptional

The record date/time to search to.

Example: 2020-01-06T18:16:14.243Z
populateTransactionsbooleanOptional

Whether to include transactions

Default: false
orderBystringOptional

The field to order by.Supports startTime,endTime,status,customerEntityUid

Responses
get
/orders/batch

Get Single Batch Details

Get single batch details

get
Path parameters
batchIdstring · uuidRequired

Idenitifer assigned to the order batch.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Responses
get
/orders/batch/{batchId}

Trigger Batch Operations

Trigger batch operations

post
Path parameters
batchIdstring · uuidRequired

Idenitifer assigned to the order batch.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Query parameters
notesstring · max: 100Optional

Additional information

Responses
post
/orders/batch/{batchId}

Update Batch Details

Update batch details

patch
Path parameters
batchIdstring · uuidRequired

Idenitifer assigned to the order batch.

Example: 14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9
Query parameters
notesstring · max: 100Optional

Additional information

Body

Modifiable details of a batch.

processingStatusstring · enumOptionalPossible values:
responseFileSentbooleanOptionalDefault: false
responseFileNamestring · max: 200Optional
Responses
patch
/orders/batch/{batchId}

Was this helpful?